Update a meter value calculation

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
namestring or nullOptionalformat: "^.*$"0-256 characters
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
calculation_typeenum or nullOptional
The type of calculation used for this billable metric.
Allowed values:
persistboolean or nullOptional

Indicate if the data of the billable metric must be persisted to the next billing period of the schedule (default is false).

meter_idstring or nullOptional
The ID of the meter.
meterobject or nullOptional
meter_value_idstring or nullOptional
The ID of the meter value.
meter_valueobject or nullOptional
meter_property_idstring or nullOptional
The ID of the meter property.
meter_propertyobject or nullOptional

Response

OK
referencestringformat: "^\S+$"0-256 characters
object_typestring or nullRead-only
idstring or nullRead-only
namestring or nullformat: "^.*$"0-256 characters
descriptionstring or nullformat: "^.*$"0-256 characters
calculation_typeenum or null
The type of calculation used for this billable metric.
Allowed values:
persistboolean or null

Indicate if the data of the billable metric must be persisted to the next billing period of the schedule (default is false).

meter_idstring or null
The ID of the meter.
meterobject or null
meter_value_idstring or null
The ID of the meter value.
meter_valueobject or null
meter_property_idstring or null
The ID of the meter property.
meter_propertyobject or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error